#
# spec file for package gpgme (Version 1.0.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils dirmngr e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale glitz gnome-filesystem gpg gpg2 gpm grep groff gtk2 gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libjpeg libksba libksba-devel libnscd libpng libstdc++ libtool libusb libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango patch perl permissions pinentry popt procinfo procps psmisc pwdutils qt3 rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libs zlib zlib-devel

Name:           gpgme
BuildRequires:  gpg2 libgcrypt-devel libksba-devel
%define prefix /usr
License:        GPL
Group:          Productivity/Security
PreReq:         %install_info_prereq
Autoreqprov:    on
Version:        1.0.3
Release:        16.2
Source:         gpgme-%{version}.tar.bz2
URL:            http://www.gnupg.org/related_software/gpgme/
Summary:        A Library Designed to Give Applications Easy Access to GnuPG
Requires:       gpg gpg2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications. It provides a high-level Crypto API for
encryption, decryption, signing, signature verification, and key
management. Currently it uses GnuPG as its back-end, but the API is not
restricted to this engine.

Because the direct use of GnuPG from an application can be a
complicated programming task, it is suggested that all software should
try to use GPGME instead. This way bug fixes or improvements can be
done at a central place and every application benefits from this.
Authors of MUAs should especially consider using GPGME. Creating a set
of standard widgets for common key selection tasks is even planned.



Authors:
--------
    FSF <gnu@gnu.org>
     - Code taken from GnuPG 1.0: gpgme/w32-util.c, GnuPG 1.1: jnlib/.
    
    g10 Code GmbH <code@g10code.com>
     - All stuff since mid march 2001.
    
    Werner Koch <wk@gnupg.org>
     - Design and most stuff.

%debug_package
%package devel
Summary:        A Library Designed to give Applications easy Access to GnuPG
Group:          Productivity/Security
Requires:       gpgme = %{version} libgpg-error-devel glibc-devel
Autoreqprov:    on

%description devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications. It provides a high-level Crypto API for
encryption, decryption, signing, signature verification, and key
management. Currently it uses GnuPG as its back-end, but the API is not
restricted to this engine.

Who Should use GPGME?

Because the direct use of GnuPG from an application can be a
complicated programming task, it is suggested that all software should
try to use GPGME instead. This way bug fixes or improvements can be
done at a central place and every application benefits from this.
Authors of MUAs should especially consider using GPGME. Creating a set
of standard widgets for common key selection tasks is even planned.



Authors:
--------
    FSF <gnu@gnu.org>
     - Code taken from GnuPG 1.0: gpgme/w32-util.c, GnuPG 1.1: jnlib/.
    
    g10 Code GmbH <code@g10code.com>
     - All stuff since mid march 2001.
    
    Werner Koch <wk@gnupg.org>
     - Design and most stuff.

%prep
%setup -q
autoreconf --force --install

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" \
./configure \
                --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{_sysconfdir} \
		--libdir=%{_libdir} \
		--disable-static
make
if test $ABUILD_RUN_TEST_SUITES = true ; then
        make test
fi

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/gpgme.info.gz

%postun
%run_ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gpgme.info.gz

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS THANKS TODO
%_libdir/libgpgme.so.*
%_libdir/libgpgme-pthread.so.*

%_infodir/gpgme*

%files devel
%defattr(-,root,root)
%_libdir/libgpgme.la
%_libdir/libgpgme.so
%_libdir/libgpgme-pthread.la
%_libdir/libgpgme-pthread.so
%prefix/bin/gpgme-config
%prefix/share/aclocal/gpgme.m4
%prefix/include/gpgme.h

%changelog -n gpgme
* Thu Jan 26 2006 - sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - kukuk@suse.de
- Create devel subpackage [#140727]
* Sat Dec 03 2005 - meissner@suse.de
- require libgpg-error-devel (since we include headers that
  include headers from there).
* Mon Nov 28 2005 - zpetrova@suse.cz
- Update to version 1.0.3 (#135395).
* Thu Feb 17 2005 - didge@suse.de
- update to stable version 1.0.2
- update of url
* Mon Jul 12 2004 - adrian@suse.de
- update to version 0.9.0
  * support for gpg2
* Thu Mar 18 2004 - didge@suse.de
- fixed bug #36194
* Fri Feb 27 2004 - ro@suse.de
- added libgpg-error to neededforbuild
* Mon Feb 09 2004 - didge@suse.de
- version 0.3.16
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Tue Sep 02 2003 - mc@suse.de
- add newpg, libgcrypt and libksba to neededforbuild again
  it is needed to support kmail with cryptplug
  fixed #29620, #29641 and #29642
* Mon Aug 11 2003 - adrian@suse.de
- cleanup #neededforbuild and requires
* Tue Aug 05 2003 - adrian@suse.de
- fix libtool handling to get shared libraries
* Thu May 22 2003 - coolo@suse.de
- fixing info pages
* Wed Apr 16 2003 - coolo@suse.de
- use BuildRoot
* Fri Feb 21 2003 - mc@suse.de
- fixed -fPIC and lib64 Problems
* Thu Feb 20 2003 - mc@suse.de
- update to version 0.3.15
* Thu Jan 30 2003 - didge@suse.de
- Version 0.3.14
* Mon Oct 21 2002 - didge@suse.de
- Version 0.3.12
* Wed Sep 25 2002 - ro@suse.de
- removed bogus self-provides again
* Wed Sep 25 2002 - didge@suse.de
- Version 0.3.11
* Tue Sep 10 2002 - didge@suse.de
- Version 0.3.10
* Wed Jul 31 2002 - didge@suse.de
- Version 0.3.8
* Fri Jun 21 2002 - didge@suse.de
- New Version 0.3.7
* Fri May 10 2002 - didge@suse.de
- New Version 0.3.6
* Tue May 07 2002 - ro@suse.de
- fixed specfile: no macro allowed in Version: line
* Fri Mar 08 2002 - didge@suse.de
- New Version 0.3.4
* Thu Feb 14 2002 - didge@suse.de
- New Version 0.3.3
* Fri Jan 04 2002 - didge@suse.de
- New Version 0.3.0
* Wed Oct 31 2001 - didge@suse.de
- Fixed patch
* Mon Oct 29 2001 - didge@suse.de
- Needs a patch to build on other platforms than i386
* Tue Oct 09 2001 - didge@suse.de
- Version 0.2.3
- needs a patch to build because something is broken?!
* Thu Sep 13 2001 - didge@suse.de
- Fix a bug to build under AXP
* Wed Aug 22 2001 - didge@suse.de
- First build, Verison 0.2.2
